Name:           vte291
Version:        0.54.1
Release:        5
Summary:        Virtual terminal widget
License:        LGPLv2+ and GPLv3+
URL:            http://www.gnome.org/
Source0:        http://download.gnome.org/sources/vte/0.54/vte-%{version}.tar.xz
Patch0000:      vte291-Fix-the-build-with-GCC-8.1.1.patch
Patch0001:      vte291-command-notify-scroll-speed.patch
Patch0002:      Fix-build-empty-struct-definition.patch

BuildRequires:  gcc-c++ gettext pkgconfig(gnutls) >= 3.2.7
BuildRequires:  gobject-introspection-devel gperf pkgconfig(gtk+-3.0) >= 3.8.0
BuildRequires:  pkgconfig(libpcre2-8) >= 10.21 intltool vala
Requires:       gnutls >= 3.2.7 gtk3 >= 3.8.0 pcre2 >= 10.21 systemd
Conflicts:      gnome-terminal < 3.20.1-2 vte3 < 0.36.1-3
Provides:       vte-profile = %{version}-%{release}
Obsoletes:      vte-profile < %{version}-%{release}

%description
VTE provides a virtual terminal widget for GTK applications.VTE
is mainly used in gnome-terminal, but can also be used to embed a
console/terminal in games, editors, IDEs, etc.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The package contains libraries and header files for developing applications that use vte291.

%prep
%autosetup -n vte-%{version} -p1

%build
CFLAGS="%optflags -fPIE -DPIE -Wno-nonnull" \
CXXFLAGS="$CFLAGS" \
LDFLAGS="$LDFLAGS -Wl,-z,relro -Wl,-z,now -pie" \
%configure --disable-static --libexecdir=%{_libdir}/vte-2.91 --disable-gtk-doc \
        --disable-silent-rules --enable-introspection

%make_build

%install
%make_install
%delete_la
%find_lang vte-2.91

%files -f vte-2.91.lang
%license COPYING.GPL3
%doc NEWS
%{_libdir}/libvte-*.so.0*
%{_libdir}/girepository-1.0/
%{_sysconfdir}/profile.d/vte.sh

%files devel
%{_bindir}/vte-*
%{_includedir}/vte-2.91/
%{_libdir}/libvte-*.so
%{_libdir}/pkgconfig/vte-*.pc
%{_datadir}/gir-1.0/
%doc %{_datadir}/gtk-doc/
%{_datadir}/vala/

%changelog
* Mon Nov 08 2021 chenchen <chen_aka_jan@163.com> - 0.54.1-5
- Fix build empty struct definition

* Mon Oct 21 2019 Lijin Yang <yanglijin@huawei.com> - 0.54.1-4
- Package init
